Fork me on GitHub

Dependency Report (Gradle Style)

This report is useful to analyze your project's dependencies. If you are familiar with Maven's site plugin, this should look familiar (Dependency Convergence Report). In addition, if you want to quickly grab all of this projects dependencies and force them to load and cache for use offline, you should be able to copy and paste the stuff below into an empty gradle.buid file or for a pom.xml.

Dependency Convergence

Dependency Statistics

Modules:10
Number of dependencies (NOD):55
Number of unique artifacts (NOA):58
Number of version-conflicting artifacts (NOC):6
Number of SNAPSHOT artifacts (NOS):0
Number of Wildcard artifacts (NOWC):10
Convergence (NOD/NOA):94%
Ready for release (100 % convergence and no SNAPSHOTS):Error
You do not have 100 % convergence.

Gradle Dependencies, composite

This is a composite of all dependencies for this project. Useful if you need to go offline and want to force all dependencies to download. Note: the dependencies listed below are all listed as compile, even though they may not actually be compile dependencies. Also missing is classifiers.


dependencies {
	compile: 'org.umlgraph:umlgraph:5.6.6@jar'
	compile: 'com.atlassian.commonmark:commonmark:0.7.0'
	compile: 'com.atlassian.commonmark:commonmark-ext-gfm-tables:0.7.0'
	compile: 'com.atlassian.commonmark:commonmark-ext-gfm-strikethrough:0.7.0'
	compile: 'com.atlassian.commonmark:commonmark-ext-autolink:0.7.0'


//WARN dependency converage flag! Currently used by the modules: [root buildscript, osmdroid-server-jdk]
	compile: 'org.apache.commons:commons-lang3:3.1@jar'
	compile: 'org.apache.commons:commons-lang3:3.4@jar'
//END WARN dependency converage flag!

    	compile: 'commons-io:commons-io:2.5'
	compile: 'org.jsoup:jsoup:1.9.2'
	compile: 'org.asciidoctor:asciidoctorj:1.5.4'
	compile: 'com.android.support:support-annotations:23+'
	compile: 'com.android.support.test:runner:0.4.+'
	compile: 'com.android.support.test:rules:0.4.+'


//WARN dependency converage flag! Currently used by the modules: [GoogleWrapperSample]
	compile: 'com.android.support:appcompat-v7:23.1.1'
	compile: 'com.android.support:appcompat-v7:23.+'
//END WARN dependency converage flag!

    	compile: 'com.google.android.gms:play-services:8.+'
	compile: 'com.google.android.gms:play-services-maps:8.+'
	compile: 'com.android.support:support-v4:23+'
	compile: 'org.osmdroid:osmdroid-android:5.6.5@aar'
	compile: 'org.osmdroid:osmdroid-third-party:5.6.5@aar'
	compile: 'junit:junit:4.12@jar'
	compile: 'org.jacoco:org.jacoco.agent:0.7.4.201502262128@jar'
	compile: 'org.jacoco:org.jacoco.ant:0.7.4.201502262128@jar'
	compile: 'org.apache.httpcomponents:httpmime:4.0.1@jar'
	compile: 'org.apache.james:apache-mime4j:0.6@jar'


//WARN dependency converage flag! Currently used by the modules: [osmdroid-server-jdk, OSMMapTilePackager]
	compile: 'org.xerial:sqlite-jdbc:3.8.7@jar'
	compile: 'org.xerial:sqlite-jdbc:3.7.2@jar'
//END WARN dependency converage flag!

    	compile: 'org.osmdroid:osmdroid-geopackage:5.6.5@aar'
	compile: 'org.osmdroid:osmdroid-mapsforge:5.6.5@aar'
	compile: 'com.android.support:design:23.+'
	compile: 'com.android.support:cardview-v7:23.+'
	compile: 'com.android.support:recyclerview-v7:23.+'
	compile: 'ch.acra:acra:4.7.0@aar'
	compile: 'com.squareup.leakcanary:leakcanary-android:1.4-beta2@aar'
	compile: 'com.squareup.leakcanary:leakcanary-android-no-op:1.4-beta2@aar'
	compile: 'mil.nga.geopackage:geopackage-android:1.3.0@aar'
	compile: 'com.j256.ormlite:ormlite-android:4.48@jar'
	compile: 'mil.nga.geopackage:geopackage-core:1.2.0@jar'
	compile: 'ar.com.hjg:pngj:2.1.0@jar'
	compile: 'mil.nga:tiff:1.0.0@jar'
	compile: 'org.mapsforge:mapsforge-map-android:0.6.1@jar'
	compile: 'org.mapsforge:mapsforge-map:0.6.1@jar'
	compile: 'javax.servlet:servlet-api:2.5@jar'
	compile: 'commons-configuration:commons-configuration:1.9@jar'
	compile: 'commons-collections:commons-collections:3.2@jar'
	compile: 'org.apache.cxf:cxf-bundle-jaxrs:2.7.5@jar'
	compile: 'org.springframework:spring-test:3.2.2.RELEASE@jar'
	compile: 'org.springframework:spring-context:3.2.2.RELEASE@jar'
	compile: 'commons-codec:commons-codec:1.3@jar'
	compile: 'org.apache.cxf:cxf-rt-rs-extension-providers:2.7.5@jar'
	compile: 'javax.servlet.jsp:jsp-api:2.1@jar'
	compile: 'org.glassfish.jersey.containers:jersey-container-servlet:2.5.1@jar'
	compile: 'org.glassfish.jersey.core:jersey-client:2.5.1@jar'
	compile: 'org.glassfish.jersey.media:jersey-media-moxy:2.5.1@jar'
	compile: 'org.apache.cxf:cxf-rt-transports-http-jetty:2.7.6@jar'
	compile: 'org.slf4j:slf4j-jdk14:1.7.10@jar'
	compile: 'org.codehaus.jettison:jettison:1.3.4@jar'
	compile: 'com.fasterxml.jackson.core:jackson-databind:2.5.1@jar'
}

Maven Dependencies, composite

This is a composite of all dependencies for this project. Useful if you need to go offline and want to force all dependencies to download. Note: the dependencies listed below are all listed as compile, even though they may not actually be compile dependencies. Also missing is classifiers.


<dependencies>
	<dependency>
		<groupId>org.umlgraph</groupId>
		<artifactId>umlgraph</artifactId>
		<version>5.6.6</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>com.atlassian.commonmark</groupId>
		<artifactId>commonmark</artifactId>
		<version>0.7.0</version>
	</dependency>
	<dependency>
		<groupId>com.atlassian.commonmark</groupId>
		<artifactId>commonmark-ext-gfm-tables</artifactId>
		<version>0.7.0</version>
	</dependency>
	<dependency>
		<groupId>com.atlassian.commonmark</groupId>
		<artifactId>commonmark-ext-gfm-strikethrough</artifactId>
		<version>0.7.0</version>
	</dependency>
	<dependency>
		<groupId>com.atlassian.commonmark</groupId>
		<artifactId>commonmark-ext-autolink</artifactId>
		<version>0.7.0</version>
	</dependency>


<!--WARN dependency converage flag! Currently used by the modules: [root buildscript, osmdroid-server-jdk]-->
	<dependency>
		<groupId>org.apache.commons</groupId>
		<artifactId>commons-lang3</artifactId>
		<version>3.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.apache.commons</groupId>
		<artifactId>commons-lang3</artifactId>
		<version>3.4</version>
		<type>jar</type>
	</dependency>
<!--END WARN dependency converage flag!-->

    	<dependency>
		<groupId>commons-io</groupId>
		<artifactId>commons-io</artifactId>
		<version>2.5</version>
	</dependency>
	<dependency>
		<groupId>org.jsoup</groupId>
		<artifactId>jsoup</artifactId>
		<version>1.9.2</version>
	</dependency>
	<dependency>
		<groupId>org.asciidoctor</groupId>
		<artifactId>asciidoctorj</artifactId>
		<version>1.5.4</version>
	</dependency>
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>support-annotations</artifactId>
		<version>[23,)</version>
	</dependency>
	<dependency>
		<groupId>com.android.support.test</groupId>
		<artifactId>runner</artifactId>
		<version>[0.4,)</version>
	</dependency>
	<dependency>
		<groupId>com.android.support.test</groupId>
		<artifactId>rules</artifactId>
		<version>[0.4,)</version>
	</dependency>


<!--WARN dependency converage flag! Currently used by the modules: [GoogleWrapperSample]-->
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>appcompat-v7</artifactId>
		<version>23.1.1</version>
	</dependency>
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>appcompat-v7</artifactId>
		<version>[23,)</version>
	</dependency>
<!--END WARN dependency converage flag!-->

    	<dependency>
		<groupId>com.google.android.gms</groupId>
		<artifactId>play-services</artifactId>
		<version>[8,)</version>
	</dependency>
	<dependency>
		<groupId>com.google.android.gms</groupId>
		<artifactId>play-services-maps</artifactId>
		<version>[8,)</version>
	</dependency>
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>support-v4</artifactId>
		<version>[23,)</version>
	</dependency>
	<dependency>
		<groupId>org.osmdroid</groupId>
		<artifactId>osmdroid-android</artifactId>
		<version>5.6.5</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>org.osmdroid</groupId>
		<artifactId>osmdroid-third-party</artifactId>
		<version>5.6.5</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>junit</groupId>
		<artifactId>junit</artifactId>
		<version>4.12</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.jacoco</groupId>
		<artifactId>org.jacoco.agent</artifactId>
		<version>0.7.4.201502262128</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.jacoco</groupId>
		<artifactId>org.jacoco.ant</artifactId>
		<version>0.7.4.201502262128</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.apache.httpcomponents</groupId>
		<artifactId>httpmime</artifactId>
		<version>4.0.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.apache.james</groupId>
		<artifactId>apache-mime4j</artifactId>
		<version>0.6</version>
		<type>jar</type>
	</dependency>


<!--WARN dependency converage flag! Currently used by the modules: [osmdroid-server-jdk, OSMMapTilePackager]-->
	<dependency>
		<groupId>org.xerial</groupId>
		<artifactId>sqlite-jdbc</artifactId>
		<version>3.8.7</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.xerial</groupId>
		<artifactId>sqlite-jdbc</artifactId>
		<version>3.7.2</version>
		<type>jar</type>
	</dependency>
<!--END WARN dependency converage flag!-->

    	<dependency>
		<groupId>org.osmdroid</groupId>
		<artifactId>osmdroid-geopackage</artifactId>
		<version>5.6.5</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>org.osmdroid</groupId>
		<artifactId>osmdroid-mapsforge</artifactId>
		<version>5.6.5</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>design</artifactId>
		<version>[23,)</version>
	</dependency>
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>cardview-v7</artifactId>
		<version>[23,)</version>
	</dependency>
	<dependency>
		<groupId>com.android.support</groupId>
		<artifactId>recyclerview-v7</artifactId>
		<version>[23,)</version>
	</dependency>
	<dependency>
		<groupId>ch.acra</groupId>
		<artifactId>acra</artifactId>
		<version>4.7.0</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>com.squareup.leakcanary</groupId>
		<artifactId>leakcanary-android</artifactId>
		<version>1.4-beta2</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>com.squareup.leakcanary</groupId>
		<artifactId>leakcanary-android-no-op</artifactId>
		<version>1.4-beta2</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>mil.nga.geopackage</groupId>
		<artifactId>geopackage-android</artifactId>
		<version>1.3.0</version>
		<type>aar</type>
	</dependency>
	<dependency>
		<groupId>com.j256.ormlite</groupId>
		<artifactId>ormlite-android</artifactId>
		<version>4.48</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>mil.nga.geopackage</groupId>
		<artifactId>geopackage-core</artifactId>
		<version>1.2.0</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>ar.com.hjg</groupId>
		<artifactId>pngj</artifactId>
		<version>2.1.0</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>mil.nga</groupId>
		<artifactId>tiff</artifactId>
		<version>1.0.0</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.mapsforge</groupId>
		<artifactId>mapsforge-map-android</artifactId>
		<version>0.6.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.mapsforge</groupId>
		<artifactId>mapsforge-map</artifactId>
		<version>0.6.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>javax.servlet</groupId>
		<artifactId>servlet-api</artifactId>
		<version>2.5</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>commons-configuration</groupId>
		<artifactId>commons-configuration</artifactId>
		<version>1.9</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>commons-collections</groupId>
		<artifactId>commons-collections</artifactId>
		<version>3.2</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.apache.cxf</groupId>
		<artifactId>cxf-bundle-jaxrs</artifactId>
		<version>2.7.5</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.springframework</groupId>
		<artifactId>spring-test</artifactId>
		<version>3.2.2.RELEASE</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.springframework</groupId>
		<artifactId>spring-context</artifactId>
		<version>3.2.2.RELEASE</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>commons-codec</groupId>
		<artifactId>commons-codec</artifactId>
		<version>1.3</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.apache.cxf</groupId>
		<artifactId>cxf-rt-rs-extension-providers</artifactId>
		<version>2.7.5</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>javax.servlet.jsp</groupId>
		<artifactId>jsp-api</artifactId>
		<version>2.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.glassfish.jersey.containers</groupId>
		<artifactId>jersey-container-servlet</artifactId>
		<version>2.5.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.glassfish.jersey.core</groupId>
		<artifactId>jersey-client</artifactId>
		<version>2.5.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.glassfish.jersey.media</groupId>
		<artifactId>jersey-media-moxy</artifactId>
		<version>2.5.1</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.apache.cxf</groupId>
		<artifactId>cxf-rt-transports-http-jetty</artifactId>
		<version>2.7.6</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.slf4j</groupId>
		<artifactId>slf4j-jdk14</artifactId>
		<version>1.7.10</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>org.codehaus.jettison</groupId>
		<artifactId>jettison</artifactId>
		<version>1.3.4</version>
		<type>jar</type>
	</dependency>
	<dependency>
		<groupId>com.fasterxml.jackson.core</groupId>
		<artifactId>jackson-databind</artifactId>
		<version>2.5.1</version>
		<type>jar</type>
	</dependency>
</dependencies>